Skip to content
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Get livesync health

Gather a livesync session’s replication health.

GET/api/v1/livesync/{id}/health
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
Responses
200

OK

log_tailstring[]required
notesstring[]required
serviceLivesyncServiceHealth
Show properties
restartsinteger<int64>required
started_atstring
statusstringrequired
slotLivesyncSlotHealth
Show properties
activebooleanrequired
failoverbooleanrequired
lag_bytesinteger<int64>required
namestringrequired
subscriptionLivesyncSubscriptionHealth
Show properties
applied_operationsinteger<int64>required
last_errorstring
last_replicated_atstring
stopped_atstring
tablesLivesyncTableHealth[]required
Show properties
Array of LivesyncTableHealth
approx_rowsinteger<int64>required
last_errorstring
last_updatedstring
live_rowsinteger<int64>
rel_typestringrequired
retry_countinteger<int64>required
rows_copiedinteger<int64>required
schemastringrequired
statestringrequired
state_labelstringrequired
tablestringrequired
target_readbooleanrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X GET 'https://console.example.com/api/v1/livesync/string/health' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "log_tail": [
    "string"
  ],
  "notes": [
    "string"
  ],
  "service": {
    "restarts": 0,
    "started_at": "string",
    "status": "string"
  },
  "slot": {
    "active": true,
    "failover": true,
    "lag_bytes": 0,
    "name": "string"
  },
  "subscription": {
    "applied_operations": 0,
    "last_error": "string",
    "last_replicated_at": "string",
    "stopped_at": "string"
  },
  "tables": [
    {
      "approx_rows": 0,
      "last_error": "string",
      "last_updated": "string",
      "live_rows": 0,
      "rel_type": "string",
      "retry_count": 0,
      "rows_copied": 0,
      "schema": "string",
      "state": "string",
      "state_label": "string",
      "table": "string"
    }
  ],
  "target_read": true
}